This file is part of MXE. See LICENSE.md for licensing information.

Contains ad hoc patches for cross building.

From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Tony Theodore <tonyt@logyst.com>
Date: Sun, 6 Dec 2020 13:52:43 +1100
Subject: [PATCH 1/2] enable build without ASIO


diff --git a/windows/portaudio/JackPortAudioDevices.h b/windows/portaudio/JackPortAudioDevices.h
index 1111111..2222222 100644
--- a/windows/portaudio/JackPortAudioDevices.h
+++ b/windows/portaudio/JackPortAudioDevices.h
@@ -24,7 +24,10 @@ Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 #include <string>
 
 #include <portaudio.h>
+#ifdef HAVE_ASIO
 #include <pa_asio.h>
+#endif
+
 
 /*!
 \brief A PortAudio Devices manager.

From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Tony Theodore <tonyt@logyst.com>
Date: Sun, 6 Dec 2020 14:16:02 +1100
Subject: [PATCH 2/2] disable examples and tools


diff --git a/wscript b/wscript
index 1111111..2222222 100644
--- a/wscript
+++ b/wscript
@@ -288,9 +288,6 @@ def configure(conf):
             conf.env['SYSTEMD_USER_UNIT_DIR'] = None
 
 
-    conf.recurse('example-clients')
-    conf.recurse('tools')
-
     # test for the availability of ucontext, and how it should be used
     for t in ['gp_regs', 'uc_regs', 'mc_gregs', 'gregs']:
         fragment = '#include <ucontext.h>\n'
@@ -812,9 +809,6 @@ def build(bld):
 
     build_drivers(bld)
 
-    bld.recurse('example-clients')
-    bld.recurse('tools')
-
     if bld.env['IS_LINUX']:
         bld.recurse('man')
         bld.recurse('systemd')
